#
# spec file for package x11-input-synaptics (Version 0.14.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs xorg-x11-sdk zlib zlib-devel

Name:           x11-input-synaptics
BuildRequires:  xorg-x11-devel
%ifnarch s390 s390x
BuildRequires:  xorg-x11-sdk
%endif
URL:            http://web.telia.com/~u89404340/touchpad/
License:        GPL
Group:          System/X11/Servers/XF86_4
Autoreqprov:    on
%define driver_release 0.14.4
Version:        0.14.4
Release:        15.2
Summary:        X11 input module for synaptics touchpad
Provides:       xorg-x11-server:/usr/X11R6/%{_lib}/modules/input/synaptics_drv.o
Source:         synaptics-%{version}.tar.bz2
Source1:        xorg_gunze.tgz
Source2:        gunze-tools.tgz
Patch:          synaptics-%{version}.diff
Patch1:         xorg_gunze.diff
Patch2:         gunze-tools.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
X11 input module for synaptics touchpad



Authors:
--------
    C. Scott Ananian
    Giorgio Bellussi
    Paul Bender
    Jrg Bsner
    Henry Davies
    Mattia Dongili
    Hartwig Felger
    Alexei Gilchrist
    Stefan Gmeiner
    Fred Hucht
    Matthias Ihmig
    Bruce Kalk
    David Kennedy
    Rigot Michel
    Jonas Norling
    Peter sterlund
    Justin Quek
    Alastair M. Robinson
    Dmitry Torokhov

%debug_package
%package -n x11-input-gunze
Summary:        X11 input module for synaptics touchpad
Group:          System/X11/Servers/XF86_4
Autoreqprov:    on
Version:        031126
Release:        29.2

%description -n x11-input-gunze
X11 input module for gunze touchscreen



Authors:
--------
    C. Scott Ananian
    Giorgio Bellussi
    Paul Bender
    Jrg Bsner
    Henry Davies
    Mattia Dongili
    Hartwig Felger
    Alexei Gilchrist
    Stefan Gmeiner
    Fred Hucht
    Matthias Ihmig
    Bruce Kalk
    David Kennedy
    Rigot Michel
    Jonas Norling
    Peter sterlund
    Justin Quek
    Alastair M. Robinson
    Dmitry Torokhov

%package -n x11-input-gunze-tools
Summary:        X11 input module for synaptics touchpad
Group:          System/X11/Servers/XF86_4
Requires:       x11-input-gunze  = %{version}-%{release}
Autoreqprov:    on
Version:        031126
Release:        29.2

%description -n x11-input-gunze-tools
Tools to configure and calibrate gunze X11 input driver.



Authors:
--------
    C. Scott Ananian
    Giorgio Bellussi
    Paul Bender
    Jrg Bsner
    Henry Davies
    Mattia Dongili
    Hartwig Felger
    Alexei Gilchrist
    Stefan Gmeiner
    Fred Hucht
    Matthias Ihmig
    Bruce Kalk
    David Kennedy
    Rigot Michel
    Jonas Norling
    Peter sterlund
    Justin Quek
    Alastair M. Robinson
    Dmitry Torokhov

%prep
%setup -n  synaptics-%driver_release -b1 -b2
%patch
major=$(echo %driver_release | cut -d "." -f 1)
minor=$(echo %driver_release | cut -d "." -f 2)
patch=$(echo %driver_release | cut -d "." -f 3)
echo "$major.$minor.$patch" > VERSION
echo $((major * 10000 + minor * 100 + patch)) > VERSION_ID
pushd ../programs/Xserver/hw/xfree86/input/gunze
  patch -p0 -s < $RPM_SOURCE_DIR/xorg_gunze.diff
popd
pushd ../gunze-tools
  patch -p1 -s < $RPM_SOURCE_DIR/gunze-tools.diff
popd

%build
%ifnarch s390 s390x
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS"
LDFLAGS=-lm make synclient CDEBUGFLAGS="$RPM_OPT_FLAGS"
LDFLAGS="-L/usr/X11R6/%{_lib}/ -lX11" make syndaemon CDEBUGFLAGS="$RPM_OPT_FLAGS"
pushd ../programs/Xserver/hw/xfree86/input/gunze
  xmkmf -a
  make CDEBUGFLAGS="$RPM_OPT_FLAGS"
popd
%endif
pushd ../gunze-tools
  make CFLAGS="$RPM_OPT_FLAGS"
popd

%install
%ifnarch s390 s390x
make install DESTDIR=$RPM_BUILD_ROOT
pushd ../programs/Xserver/hw/xfree86/input/gunze
  make install DESTDIR=$RPM_BUILD_ROOT
popd
%endif
pushd ../gunze-tools
  make install DESTDIR=$RPM_BUILD_ROOT \
     DOCDIR=$RPM_BUILD_ROOT/%{_defaultdocdir}/x11-input-gunze-tools
  install -m 644 README \
    $RPM_BUILD_ROOT/%{_defaultdocdir}/x11-input-gunze-tools
popd
%ifnarch s390 s390x
mv -f script sample
chmod 0755 sample/*
install -m 0755 synclient $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 0755 syndaemon $RPM_BUILD_ROOT/usr/X11R6/bin/
install -d -m 0755 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -d -m 0755 $RPM_BUILD_ROOT/%{_mandir}/man5/
install -m 0444 manpages/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 0444 manpages/*.5 $RPM_BUILD_ROOT/%{_mandir}/man5/
chmod +x $RPM_BUILD_ROOT/usr/X11R6/%_lib/modules/input/synaptics_drv.so
chmod +x $RPM_BUILD_ROOT/usr/X11R6/%_lib/modules/input/gunze_drv.so
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS
%ifnarch s390 s390x
%attr(444,root,root) %doc %{_mandir}/man1/*
%attr(444,root,root) %doc %{_mandir}/man5/*
%doc sample
%dir /usr/X11R6/%{_lib}/modules
%dir /usr/X11R6/%{_lib}/modules/input
/usr/X11R6/%{_lib}/modules/input/synaptics_drv.so
/usr/X11R6/bin/syn*
%endif

%files -n x11-input-gunze
%defattr(-,root,root)
%doc README
%ifnarch s390 s390x
%dir /usr/X11R6/%{_lib}/modules
%dir /usr/X11R6/%{_lib}/modules/input
/usr/X11R6/%{_lib}/modules/input/gunze_drv.so
%endif

%files -n x11-input-gunze-tools
%defattr(-,root,root)
%doc %{_defaultdocdir}/x11-input-gunze-tools/
/usr/X11R6/bin/gunzets_control
/usr/X11R6/bin/gunze_panel
/usr/X11R6/bin/gunzets_calib

%changelog -n x11-input-synaptics
* Sat Feb 18 2006 - schwab@suse.de
- Fix last change.
* Fri Feb 17 2006 - sndirsch@suse.de
- strip input modules (Bug #151801)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 07 2005 - sndirsch@suse.de
- updated synaptics driver to release 0.14.4
  * Fixed some long vs int inconsistencies to make the driver work
  correctly on 64 bit machines (#116181)
* Fri Oct 07 2005 - sndirsch@suse.de
- fixed build (new module extensions: .o --> .so)
* Sat Oct 01 2005 - sndirsch@suse.de
- removed evdev driver subpackage; driver will be included by
  X.Org 6.9
* Wed Aug 10 2005 - sndirsch@suse.de
- move synaptics(5) manual page to correct location (Bug #103168)
* Thu Jul 28 2005 - sndirsch@suse.de
- updated evdev driver (CVS 2005-07-28)
  * Yet more 2.4 build fixes, this time for BTN_TASK
* Wed Jul 27 2005 - sndirsch@suse.de
- updated synaptics driver to release 0.14.3
* Mon Jul 25 2005 - sndirsch@suse.de
- updated evdev driver (CVS 2005-07-25)
  * (EvdevReadInput): Handle BTN_TASK too (X.Org Bug #3859)
* Wed Jul 13 2005 - sndirsch@suse.de
- updated evdev driver (CVS 2005-07-13)
* Mon Jul 04 2005 - sndirsch@suse.de
- use RPM_OPT_FLAGS
* Fri Jun 03 2005 - postadal@suse.cz
- updated synaptics driver to release 0.14.2
- packed synclient, syndaemon with manpages
  and sample scripts for hotplug
* Fri May 13 2005 - sndirsch@suse.de
- use norootforbuild
* Thu May 12 2005 - sndirsch@suse.de
- added evdev manual page
* Thu May 05 2005 - sndirsch@suse.de
- updated synaptics driver to release 0.14.1
* Wed May 04 2005 - sndirsch@suse.de
- package renaming:
  * xorg-x11-server-input --> x11-input-synaptics /
  x11-input-gunze /
  x11-input-evdev
  * xorg-x11-server-input-tools --> x11-input-gunze-tools
* Wed May 04 2005 - sndirsch@suse.de
- added evdev driver (new)
* Wed May 04 2005 - sndirsch@suse.de
- added synaptics driver (was in xorg-x11-server package before)
* Tue May 03 2005 - sndirsch@suse.de
- created package
